
Redmine - Patch #2685

Display notice when commenting on closed tickets

2009-02-06 00:48 - Brad Beattie

Status: New Start date: 2009-02-06

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Description

Consider the following scenario. An issue is opened, resolved and closed. An inexperienced user X doesn't have access to reopen

the issue. Instead of creating a new issue and relating it to the old issue, user X instead comments on the issue and reassigns it back

to experienced user Y. This closed issue is now assigned to user Y, but they never notice it as its closed.

While we can't prevent poor behaviour like this, we can at least provide some sort of warning message to the inexperienced user.

The attached patch displays a warning if a user comments on a closed ticket.

Related issues:

Related to Redmine - Feature #7557: Deny editing of descriptions of closed is... Closed 2011-02-05

Related to Redmine - Feature #13814: No more comments when ticket closed New

History

#1 - 2009-02-10 00:41 - Brad Beattie

Hrm. Might be better if it was more in line with the warning Redmine.org gives at the moment, using class "nodata" and showing when the user might

instead of after they do.

Index: app/views/issues/_edit.rhtml

===================================================================

--- app/views/issues/_edit.rhtml        (revision 2361)

+++ app/views/issues/_edit.rhtml        (working copy)

@@ -31,12 +31,17 @@

         <% end %>

     </fieldset>

     <% end %>

-    

+     

     <fieldset><legend><%= l(:field_notes) %></legend>

     <%= text_area_tag 'notes', @notes, :cols => 60, :rows => 10, :class => 'wiki-edit' %>

     <%= wikitoolbar_for 'notes' %>

     <%= call_hook(:view_issues_edit_notes_bottom, { :issue => @issue, :notes => @notes, :form => f }) %>

-    

+    <% if @issue.closed? %>

+        <div class="nodata">

+        <%= l(:warning_notes_on_closed_issue) %>

+        </div>

+    <% end %>

+ 

     <p><%=l(:label_attachment_plural)%><br /><%= render :partial => 'attachments/form' %></p>

     </fieldset>

     </div>

Index: lang/en.yml

===================================================================

--- lang/en.yml (revision 2361)

+++ lang/en.yml (working copy)

@@ -86,6 +86,7 @@

 error_issue_not_found_in_project: 'The issue was not found or does not belong to this project'

 warning_attachments_not_saved: "%d file(s) could not be saved." 

+warning_notes_on_closed_issue: "Notes on closed tickets may go unnoticed even if they are assigned to an indi

vidual." 

 mail_subject_lost_password: Your %s password

 mail_body_lost_password: 'To change your password, click on the following link:'
#2 - 2009-02-19 17:20 - Brad Beattie

- Assignee set to Jean-Philippe Lang

#3 - 2009-05-05 02:41 - Eric Davis

- Status changed from New to 7

- Assignee changed from Jean-Philippe Lang to Eric Davis

I can take this, I'll have to update the patch (pre Rails 2.2.2 i18n) but it shouldn't be too much.

#4 - 2010-10-25 17:02 - Eric Davis

- Assignee deleted (Eric Davis)

#5 - 2013-01-13 21:04 - Jean-Philippe Lang

- Status changed from 7 to New

Assigned issue with no assignee back to New status.

Files

warning.patch 1.31 KB 2009-02-05 Brad Beattie
